% This file is used to compute the values of Kp and Ki for the current and
% voltage regulators. Place it in the same folder than the Simulink file.


% PARAMETERS
CTRL_PERIOD = 1/20e3;    % Control is at 20kHz
Ts = 1.3*CTRL_PERIOD;

Cdc = 3*260e-6;          % DC link capacitor
Lg = 2.5e-3;             % Grid's inductors
Rg = 22e-3;              % Resistance of grid's inductors


% INVERTER CURRENT REGULATOR ----------------------------------------------
K = 1/Rg;
T = Lg/Rg;

Tn = T;
Ti = 2*K*Ts;

Kp = Tn/Ti;
Ki = 1/Ti;